- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IBroadcastEventReceiver IButtonControl INamingContainer IPageStatePersister IPostBackDataHandler IPostBackEventHandler ISurroundable ITemplate ITheme IValidatable IValidator TBroadcastEventParameter TCachePageStatePersister TClientScriptManager TClientSideOptions TCommandEventParameter TCompositeControl TCompositeLiteral TControl TControlAdapter TControlCollection TEmptyControlCollection TForm THead THtmlWriter TPage TPageStateFormatter TPageStatePersister TSessionPageStatePersister TTemplate TTemplateControl TTemplateManager TTextProcessor TTheme TThemeManager |
Keyword
# Interface IPageStatePersister
IPageStatePersister interface. IPageStatePersister interface is required for all page state persister classes. Since: 3.1 Author: Qiang Xue <qiang.xue@gmail.com>
Method Summary
void | getPage ( TPage 0)
mixed | load () Loads page state from persistent storage
void | save ( mixed $state) Saves state to persistent storage.
void | setPage ( TPage $page)
Method Details
## getPage
public void getPage | (TPage 0 )
Input
TPage | 0 | the page that this persister works for
Output
Exception
## load
public mixed load | ()
Loads page state from persistent storage
Output
mixed | the restored state
Exception
## save
public void save | (mixed $state )
Saves state to persistent storage.
Input
mixed | $state | state to be stored
Output
Exception
## setPage
public void setPage | (TPage $page )
Input
TPage | $page | the page that this persister works for
Output
Exception